Debian Bug report logs - #724458
ITP: diskscan -- Scan disk for bad or near failure sectors

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Francois Marier <francois@debian.org>

Date: Tue, 24 Sep 2013 01:27:02 UTC

Owned by: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Severity: wishlist

Fixed in version diskscan/0.13-1

Done: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 01:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Marier <francois@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 01:27:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francois Marier <francois@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 13:24:00 +1200
Package: wnpp
Severity: wishlist

* Package name    : diskscan
  Version         : 0.02
  Upstream Author : Baruch Even <baruch@ev-en.org>
* URL             : https://github.com/baruch/diskscan
* License         : GPL3+
  Programming Lang: C
  Description     : Scan disk for bad or near failure sectors

DiskScan is a Unix/Linux tool to scan a block device and check if
there are unreadable sectors, in addition it uses read latency times
as an assessment for a near failure as sectors that are problematic
to read usually entail many retries. This can be used to assess the
state of the disk and maybe decide on a replacement in advance to its
imminent failure. The disk self test may or may not pick up on such
clues depending on the disk vendor decision making logic.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 14:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 14:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 724458@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: 724458@bugs.debian.org, Francois Marier <francois@debian.org>, Baruch Even <baruch@ev-en.org>
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 10:58:03 -0300
Hi Francois and Baruch!

How are you?

I liked of the program idea and philosofy. I am thinking to maintain
it on Debian. However, I wasn't able to compile the code on
Wheezy/Sid. Please, see the errors:

---------------------------------------------------
cli/cli.c: In function ‘report_scan_done’:
cli/cli.c:67:4: error: format ‘%llu’ expects argument of type ‘long
long unsigned int’, but argument 2 has type ‘uint64_t’
[-Werror=format=]
    printf("%8llu: %llu\n", histogram_time[hist_idx],
disk->histogram[hist_idx]);
    ^
cli/cli.c:67:4: error: format ‘%llu’ expects argument of type ‘long
long unsigned int’, but argument 3 has type ‘uint64_t’
[-Werror=format=]
cli/cli.c:69:4: error: format ‘%llu’ expects argument of type ‘long
long unsigned int’, but argument 3 has type ‘uint64_t’
[-Werror=format=]
    printf("%8s: %llu\n", "above that", disk->histogram[hist_idx]);
    ^
cc1: all warnings being treated as errors
do:       cli/cli.o: got exit code 1
do:     cli/cli.a: got exit code 1
do:   diskscan: got exit code 1
do: all: got exit code 1
make: ** [all] Erro 1
---------------------------------------------------

I think it is an upstream code problem. Can you help me, if it was a
mistake of mine, or provide a new (updated) code?

Have a nice day!

Regards,

Eriberto



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 16:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 16:45:13 GMT) Full text and rfc822 format available.

Message #15 received at 724458@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Baruch Even <baruch@ev-en.org>
Cc: 724458@bugs.debian.org
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 13:40:53 -0300
Hi! Thanks for your attention.

gcc version 4.8.1 (Debian 4.8.1-10)

Please, fell free to make new questions.

Eriberto



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 17:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baruch Even <baruch@ev-en.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 17:09:04 GMT) Full text and rfc822 format available.

Message #20 received at 724458@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@ev-en.org>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 724458@bugs.debian.org
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 19:05:37 +0200
[Message part 1 (text/plain, inline)]
I'm using 4.8.1-9, I'm on i686 are you on x86-64 by any chance?


On Tue, Sep 24, 2013 at 7:40 PM, Eriberto <eriberto@eriberto.pro.br> wrote:

> Hi! Thanks for your attention.
>
> gcc version 4.8.1 (Debian 4.8.1-10)
>
> Please, fell free to make new questions.
>
> Eriberto
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 17:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 17:12:07 GMT) Full text and rfc822 format available.

Message #25 received at 724458@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Baruch Even <baruch@ev-en.org>
Cc: 724458@bugs.debian.org
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 14:10:01 -0300
Yeap! Debian Sid amd64. Do you need I test it on i386???

2013/9/24 Baruch Even <baruch@ev-en.org>:
> I'm using 4.8.1-9, I'm on i686 are you on x86-64 by any chance?



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 17:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baruch Even <baruch@ev-en.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 17:18:05 GMT) Full text and rfc822 format available.

Message #30 received at 724458@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@ev-en.org>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 724458 <724458@bugs.debian.org>
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 19:14:23 +0200
[Message part 1 (text/plain, inline)]
No, I'll figure out how to make it work on both.


On Tue, Sep 24, 2013 at 8:10 PM, Eriberto <eriberto@eriberto.pro.br> wrote:

> Yeap! Debian Sid amd64. Do you need I test it on i386???
>
> 2013/9/24 Baruch Even <baruch@ev-en.org>:
> > I'm using 4.8.1-9, I'm on i686 are you on x86-64 by any chance?
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 17:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Baruch Even <baruch@ev-en.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 17:33:07 GMT) Full text and rfc822 format available.

Message #35 received at 724458@bugs.debian.org (full text, mbox):

From: Baruch Even <baruch@ev-en.org>
To: Eriberto <eriberto@eriberto.pro.br>
Cc: 724458 <724458@bugs.debian.org>
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 19:20:45 +0200
[Message part 1 (text/plain, inline)]
Please retest now with 0.03. Thanks!


On Tue, Sep 24, 2013 at 8:14 PM, Baruch Even <baruch@ev-en.org> wrote:

> No, I'll figure out how to make it work on both.
>
>
> On Tue, Sep 24, 2013 at 8:10 PM, Eriberto <eriberto@eriberto.pro.br>wrote:
>
>> Yeap! Debian Sid amd64. Do you need I test it on i386???
>>
>> 2013/9/24 Baruch Even <baruch@ev-en.org>:
>> > I'm using 4.8.1-9, I'm on i686 are you on x86-64 by any chance?
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#724458; Package wnpp. (Tue, 24 Sep 2013 17:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eriberto <eriberto@eriberto.pro.br>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 24 Sep 2013 17:51:10 GMT) Full text and rfc822 format available.

Message #40 received at 724458@bugs.debian.org (full text, mbox):

From: Eriberto <eriberto@eriberto.pro.br>
To: Baruch Even <baruch@ev-en.org>
Cc: 724458 <724458@bugs.debian.org>
Subject: Re: RFP: diskscan -- Scan disk for bad or near failure sectors
Date: Tue, 24 Sep 2013 14:49:19 -0300
Ok, working. Thanks.

I will make some tests.

Regards,

Eriberto


2013/9/24 Baruch Even <baruch@ev-en.org>:
> Please retest now with 0.03. Thanks!



Changed Bug title to 'ITP: diskscan -- Scan disk for bad or near failure sectors' from 'RFP: diskscan -- Scan disk for bad or near failure sectors' Request was from Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Thu, 03 Oct 2013 17:00:07 GMT) Full text and rfc822 format available.

Owner recorded as Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>. Request was from Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Thu, 03 Oct 2013 17:00:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 20 Oct 2013 07:09:09 GMT) Full text and rfc822 format available.

Reply sent to Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>:
You have taken responsibility. (Sat, 23 Nov 2013 04:04:12 GMT) Full text and rfc822 format available.

Notification sent to Francois Marier <francois@debian.org>:
Bug acknowledged by developer. (Sat, 23 Nov 2013 04:04:12 GMT) Full text and rfc822 format available.

Message #51 received at 724458-close@bugs.debian.org (full text, mbox):

From: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
To: 724458-close@bugs.debian.org
Subject: Bug#724458: fixed in diskscan 0.13-1
Date: Sat, 23 Nov 2013 04:00:35 +0000
Source: diskscan
Source-Version: 0.13-1

We believe that the bug you reported is fixed in the latest version of
diskscan, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724458@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> (supplier of updated diskscan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 07 Oct 2013 06:47:01 -0300
Source: diskscan
Binary: diskscan
Architecture: source amd64
Version: 0.13-1
Distribution: unstable
Urgency: low
Maintainer: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Changed-By: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Description: 
 diskscan   - scan HDD/SSD for bad or near failure sectors
Closes: 724458
Changes: 
 diskscan (0.13-1) unstable; urgency=low
 .
   * Initial release (Closes: #724458)
Checksums-Sha1: 
 e021d6c42f4b033a712950e29988ace4b1d49824 1897 diskscan_0.13-1.dsc
 204d8f97d589a75b9b2369bb558a7b18a47e26c2 27074 diskscan_0.13.orig.tar.gz
 8e59099ba391a728a235826a9576aae284b5c288 2371 diskscan_0.13-1.debian.tar.gz
 13a60e3320da3cc4fede2ab326c581ed52cff024 11486 diskscan_0.13-1_amd64.deb
Checksums-Sha256: 
 b97b78e4db4fa7edbb22b712e76dedd3e50c635c080cf2032be3a418e7684687 1897 diskscan_0.13-1.dsc
 f87f208fba367a60672381f0ce802dc24dbd412ea9c667487a788c0ed29366f7 27074 diskscan_0.13.orig.tar.gz
 ac2f4dc9682a1e74dc51fe5f3f0528d33e09ec00023203e394e0f8bc98d4b459 2371 diskscan_0.13-1.debian.tar.gz
 9ed7741fb73a65011df92374f10cec793d277ac00661077010acbdde7ec6ac51 11486 diskscan_0.13-1_amd64.deb
Files: 
 ef62b80db9d6b0d5fc7d3ab38f2d3ee0 1897 utils optional diskscan_0.13-1.dsc
 4a187c533398626629ab12e2a8ba07b5 27074 utils optional diskscan_0.13.orig.tar.gz
 bee2ba25ddf6a7dc0f691d00cb6d460c 2371 utils optional diskscan_0.13-1.debian.tar.gz
 8afffdfd706682fcac16e24c0e65b4cc 11486 utils optional diskscan_0.13-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.15 (GNU/Linux)

iQIcBAEBCAAGBQJSYwl6AAoJEBYoHy4AfJjRKfoP/1wTZPJK+QGJG1TNG+1a46+9
nwQ7seZzNDo7kMMx5701EkvMQ+YlVmdQsy5Yo0udUbQ9hXM/LPcnFsR1oV5n/kLF
/faNCr+MaH6EEF1ypAhctW2n48Xix3N+vGK8bl8OCBwmPtlFSJdjbgZpJYNurntv
rIjc+mS9PUK/jYdKW2ZqIpeGGTYx9MWzkeVOFo8woAA8bGbJPvjCukMzj3b+m159
RGFGjt2HbjwAS3/juYhNiBelF0N1K09atYSmQX3SFiaPDPsMOmeBbJ2rP93AqcL1
hX1NlZNvS9bMrgQRq0kKWf963JUem2Y0oJk8ZdvfpPSVP3V3omdCdib0QZjPOqHj
Hvdfn736goKh8J93rskquaV1x1JAssSfS36qRVBkeKbt/bHmok1s7SpdeAGfKfQ2
Ijdg38TGiRhBWmmVo+7WVkTnBmW7NPpaK3dZoFJ6TncyF6K9GL5vmIY0wXEfrXUm
dnmYa6IxPBi0MwAFMzaDZNGDqUQoC0cI9QPIbortJXei3cJC6/9qo9b81NHAKVZ6
NNYI5lAQcO/pIE/p/o8oOhvi82IoI3BdU8h4LldjU5LQf/Dj0CyFcx/h1aFbzMRN
rCSZtaF942M5HBb8mx3RsQeq06KJbIXDe3fYpvKKpYW8PgakBEGuBP7huhvh8OJQ
93uibtJA/wec1zPAsa9Q
=PU/5
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 21 Dec 2013 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:09:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.